<template>
  <section class="errorPage-content _401">
    <div class="errorPage-number">
      401
    </div>
    <div class="errorPage-title">
      Необходима авторизация
      <img
        svg-inline
        src="~/assets/svg/redesign/error-403.svg">
    </div>
    <div class="errorPage-text">
      <div class="paragraph">У вас нет прав доступа к этой странице</div>
      <div class="paragraph">
        Вы можете вернуться
        <flink
          href="/"
          domain="main"
          class="link">Назад
        </flink>
        или перейти на
        <flink
          href="/"
          domain="main"
          class="link">Главную страницу
        </flink>
        сайта.<br>
        Если вы уверены, что произошла ошибка, напишите нам по адресу
        <a
          href="mailto:info@gisauto.ru"
          target="_blank"
          rel="noopener"
          class="link">
          info@gisauto.ru
        </a>.
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'Error401',
  props: {
    error: {
      type: Object,
      default: () => null,
    },
  },
};
</script>

<style lang="postcss">
  .errorPage {
    .errorPage-content._401 {
      @media screen and (min-width: 981px) {
        padding-top: 8rem;

        .errorPage-title {
          position: relative;

          .svg.svgError-403 {
            position: absolute;
            left: 16rem;
            top: -8rem;
            width: 8.75rem;
            height: 8.75rem;
          }
        }
      }

      @media screen and (max-width: 980px) {
        .errorPage-title {
          .svg.svgError-403 {
            display: block;
            margin: 1rem auto;
            width: 6.25rem;
            height: 6.25rem;
          }
        }
      }
    }
  }
</style>
